Subject: bug#72461: closed (Re: bug#72461: [PATCH] js-ts-mode: Make jsdoc's "description" block a comment)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 05 Aug 2024 03:20:02 +0000

Your bug report

#72461: [PATCH] js-ts-mode: Make jsdoc's "description" block a comment

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72461: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72461
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#72461: [PATCH] js-ts-mode: Make jsdoc's "description" block a comment
From: Yuan Fu <[email-masked]>
To: Damien Cassou <[email-masked]>
Cc: Dmitry Gutov <[email-masked]>, [email-masked]
Date: Sun, 4 Aug 2024 20:17:43 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

> On Aug 4, 2024, at 6:04 AM, Damien Cassou <[email-masked]> wrote:
> 
> Tags: patch
> 
> Hi,
> 
> the c-ts-common part of the patches in bug#71760 was merged into
> emacs-30 but not the js one. As a result, filling documentation in
> js-ts-mode still doesn't work. I attach the unmerged part again in the
> hope it will be merged to both emacs-30 and master.
> 
> Best

Ah sorry, I thought this patch is already merged. I just applied and pushed to emacs-30. Thanks.

Yuan

Subject: [PATCH] js-ts-mode: Make jsdoc's "description" block a comment
From: Damien Cassou <[email-masked]>
To: [email-masked]
Cc: Dmitry Gutov <[email-masked]>, Yuan Fu <[email-masked]>
Date: Sun, 04 Aug 2024 15:04:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: patch

Hi,

the c-ts-common part of the patches in bug#71760 was merged into
emacs-30 but not the js one. As a result, filling documentation in
js-ts-mode still doesn't work. I attach the unmerged part again in the
hope it will be merged to both emacs-30 and master.

Best

-- 
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill
>From e444692026cae97dfaecebf5972507ae95f5e488 Mon Sep 17 00:00:00 2001
From: Damien Cassou <[email-masked]>
Date: Sun, 21 Jul 2024 21:32:34 +0200
Subject: [PATCH 1/2] js-ts-mode: Make jsdoc's "description" block a comment

* lisp/progmodes/js.el (js-ts-mode): Add "description" to
`c-ts-common--comment-regexp'.
---
 lisp/progmodes/js.el | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/lisp/progmodes/js.el b/lisp/progmodes/js.el
index f8140c14a49..75c8111035c 100644
--- a/lisp/progmodes/js.el
+++ b/lisp/progmodes/js.el
@@ -3946,7 +3946,9 @@ js-ts-mode
                    :embed 'jsdoc
                    :host 'javascript
                    :local t
-                   `(((comment) @capture (:match ,js--treesit-jsdoc-beginning-regexp @capture))))))
+                   `(((comment) @capture (:match ,js--treesit-jsdoc-beginning-regexp @capture)))))
+
+      (setq c-ts-common--comment-regexp (rx (or "comment" "line_comment" "block_comment" "description"))))
 
     ;; Imenu
     (setq-local treesit-simple-imenu-settings
-- 
2.45.2